MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029962Open CASCADE[OCCT] OCCT:Meshpublic2018-07-15 16:282018-11-11 12:00
Reporteroan 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0029962: Master version of BRepMesh does not respect obvious details despite of specified deflection
DescriptionMaster version of BRepMesh refuses to consider geometrical details of shape described in steps to reproduce.
It does not make sense which value is chosen as deflection parameter. The same is for value of angular deflection.

Note that this problem is not reproduced with #26106 patch (CR26106_IR_7.3.0).
Steps To Reproducepload ALL

bsplinesurf s 4 5 0 5 1 1 2 1 3 1 4 5 4 5 0 5 1 1 2 1 3 1 4 5 0 0 0 1 10 0 0 1 20 0 0 1 30 0 0 1 40 0 0 1 50 0 0 1 60 0 0 1 70 0 0 1 0 10 0 1 10 10 999 1 20 10 0 1 30 10 0 1 40 10 0 1 50 10 0 1 60 10 0 1 70 10 0 1 0 20 0 1 10 20 0 1 20 20 0 1 30 20 0 1 40 20 0 1 50 20 0 1 60 20 0 1 70 20 0 1 0 30 0 1 10 30 0 1 20 30 0 1 30 30 0 1 40 30 0 1 50 30 0 1 60 30 0 1 70 30 0 1 0 40 0 1 10 40 0 1 20 40 0 1 30 40 0 1 40 40 0 1 50 40 0 1 60 40 0 1 70 40 0 1 0 50 0 1 10 50 0 1 20 50 0 1 30 50 0 1 40 50 0 1 50 50 0 1 60 50 0 1 70 50 0 1 0 60 0 1 10 60 0 1 20 60 0 1 30 60 0 1 40 60 0 1 50 60 0 1 60 60 999 1 70 60 0 1 0 70 0 1 10 70 0 1 20 70 0 1 30 70 0 1 40 70 0 1 50 70 0 1 60 70 0 1 70 70 0 1

mkface f s

incmesh f 100
trinfo f
#Gives 2 triangles...

incmesh f 0.01
trinfo f
#Always 2 triangles!!!!!

isos f 0
triangles f
smallview
fit
TagsNo tags attached.
Test case numberbugs/mesh/bug29962
Attached Files

- Relationships

-  Notes
(0080643)
nbv (developer)
2018-11-02 16:18
edited on: 2018-11-06 15:45

Fixed in #26106

(0080762)
bugmaster (administrator)
2018-11-06 15:58

Please create testing case
(0080771)
git (administrator)
2018-11-06 16:41

Branch CR29962 has been created by nbv.

SHA-1: d566f8f286d29d1caa563d7e6dd3ee7cc3c68c4f


Detailed log of new commits:

Author: nbv
Date: Tue Nov 6 16:40:02 2018 +0300

    0029962: Master version of BRepMesh does not respect obvious details despite of specified deflection
    
    Only test case has been created.
(0080773)
git (administrator)
2018-11-06 16:45

Branch CR29962 has been updated forcibly by nbv.

SHA-1: b012274140e21f620c61c6488d65022635813372
(0080825)
git (administrator)
2018-11-07 14:04

Branch CR29962 has been updated forcibly by nbv.

SHA-1: ae0695316a60231ed7cd4b29abc3b862e1ce3312
(0080860)
git (administrator)
2018-11-07 17:18

Branch CR29962 has been updated forcibly by nbv.

SHA-1: 47f0cdd04f9815a15f3aeb15a434c1ea6c0e8820
(0080876)
git (administrator)
2018-11-07 17:47

Branch CR29962 has been updated forcibly by nbv.

SHA-1: 75e2d978d0f974a0e1fd8e52c6af2aa6271cab92
(0080877)
git (administrator)
2018-11-07 17:49

Branch CR29962 has been updated forcibly by nbv.

SHA-1: f6ff787b9457f3bd00463fd7a8a801b46fff13a3
(0080895)
nbv (developer)
2018-11-07 18:11

Dear Mikhail,

Please review the branch CR29962.

Test results are here:
Windows: http://jenkins-test-12.nnov.opencascade.com/view/MeshTest-master_NBV/view/TESTING/job/MeshTest-master_NBV-OCCT-Windows-64-VC14-opt-test-restart/HTML_20Report/ [^]

Linux: http://jenkins-test-12.nnov.opencascade.com/view/MeshTest-master_NBV/view/TESTING/job/MeshTest-master_NBV-OCCT-Debian80-64-opt-test-restart/HTML_20Report/ [^]
(0080952)
msv (developer)
2018-11-08 14:31

Please show only the result shape in the view.
(0080964)
git (administrator)
2018-11-08 15:57

Branch CR29962 has been updated forcibly by nbv.

SHA-1: d04e50520af6fee1627300196e43f8dae9605a90
(0080966)
nbv (developer)
2018-11-08 15:58

Done. Please review CR29962 again.
(0080988)
msv (developer)
2018-11-08 18:22

Reviewed.
(0081004)
bugmaster (administrator)
2018-11-09 15:18

Adding new test case
(0081021)
git (administrator)
2018-11-11 12:00

Branch CR29962 has been deleted by inv.

SHA-1: d04e50520af6fee1627300196e43f8dae9605a90

- Related Changesets
occt: master 0f16fd3c
Timestamp: 2018-11-06 13:40:02
Author: nbv
Committer: bugmaster
Details ] Diff ]
0029962: Master version of BRepMesh does not respect obvious details despite of specified deflection

Adding test case for the problem.
The issue has been fixed by a patch for #26106.
add - tests/bugs/mesh/bug29962 Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-07-15 16:28 oan New Issue
2018-07-15 16:28 oan Assigned To => oan
2018-07-15 16:29 oan Relationship added related to 0026106
2018-11-02 16:18 nbv Steps to Reproduce Updated View Revisions
2018-11-02 16:18 nbv Note Added: 0080643
2018-11-02 16:18 nbv Assigned To oan => bugmaster
2018-11-02 16:18 nbv Status new => feedback
2018-11-06 15:43 bugmaster Status feedback => verified
2018-11-06 15:43 bugmaster Resolution open => fixed
2018-11-06 15:45 nbv Note Edited: 0080643 View Revisions
2018-11-06 15:58 bugmaster Status verified => closed
2018-11-06 15:58 bugmaster Note Added: 0080762
2018-11-06 15:58 bugmaster Assigned To bugmaster => nbv
2018-11-06 15:58 bugmaster Status closed => assigned
2018-11-06 16:41 git Note Added: 0080771
2018-11-06 16:45 git Note Added: 0080773
2018-11-07 14:04 git Note Added: 0080825
2018-11-07 17:18 git Note Added: 0080860
2018-11-07 17:47 git Note Added: 0080876
2018-11-07 17:49 git Note Added: 0080877
2018-11-07 18:11 nbv Note Added: 0080895
2018-11-07 18:11 nbv Assigned To nbv => oan
2018-11-07 18:11 nbv Status assigned => resolved
2018-11-07 18:21 nbv Assigned To oan => msv
2018-11-08 14:31 msv Note Added: 0080952
2018-11-08 14:31 msv Assigned To msv => nbv
2018-11-08 14:31 msv Status resolved => assigned
2018-11-08 15:57 git Note Added: 0080964
2018-11-08 15:58 nbv Note Added: 0080966
2018-11-08 15:58 nbv Status assigned => resolved
2018-11-08 15:58 nbv Assigned To nbv => msv
2018-11-08 18:22 msv Note Added: 0080988
2018-11-08 18:22 msv Assigned To msv => bugmaster
2018-11-08 18:22 msv Status resolved => reviewed
2018-11-09 15:17 bugmaster Test case number => bugs/mesh/bug29962
2018-11-09 15:18 bugmaster Note Added: 0081004
2018-11-09 15:18 bugmaster Status reviewed => tested
2018-11-11 11:52 bugmaster Changeset attached => occt master 0f16fd3c
2018-11-11 11:52 bugmaster Status tested => verified
2018-11-11 12:00 git Note Added: 0081021


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker